This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 507592 - output the typo Japanese message when removing a package by rpm -e
output the typo Japanese message when removing a package by rpm -e
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 08:05 EDT by abelaw
Modified: 2009-07-14 05:17 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 05:17:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (389 bytes, patch)
2009-06-23 08:05 EDT, abelaw
no flags Details | Diff

  None (edit)
Description abelaw 2009-06-23 08:05:40 EDT
Created attachment 349082 [details]
patch

output a typo Japanese message when removing a package by rpm -e

Description of problem:
  In the LANG=ja_JP.UTF-8, I get a typo Japanese message 
  when I've removed a wget package by rpm -e command.
  This typo message is very wrong Japanese.

Version-Release number of selected component (if applicable):
  rpm-4.7.0-1.fc11.i586

How reproducible:
  Always

Steps to Reproduce:
1. Install wget package
   ** Any package with the configuration file is OK.
2. # export LANG=ja_JP.UTF-8
3. Edit something to /etc/wgetrc.
4. # rpm -e wget
  
Actual results:
  output a typo message "sareshita."

Expected results:
  output a exact Japanese "saremashita."

Additional info:
  I made the patch that solved this bug.
Comment 1 Panu Matilainen 2009-07-14 05:17:45 EDT
This has already been fixed upstream and will get into Fedora sooner or later through updates. Thanks for the patch anyway.

Note You need to log in before you can comment on or make changes to this bug.